## sbcl 0.8.16

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -7,7 +7,12 @@
 # provided with absolutely no warranty. See the COPYING and CREDITS
 # files for more information.
 
-all: grovel_headers
+-include Config
+
+CPPFLAGS:=-I../src/runtime
+LDFLAGS:=$(LDFLAGS) $(OS_LIBS)
+
+all: grovel-headers determine-endianness where-is-mcontext modify-ldt-struct-name 
 
 clean: 
-	rm -f *.o grovel_headers
+	rm -f *.o grovel-headers determine-endianness where-is-mcontext modify-ldt-structure-name
