=== contrib/asdf-install/Makefile ===
SYSTEM=asdf-install
include ../asdf-module.mk
