=== contrib/sb-sprof/Makefile ===
MODULE=sb-sprof
include ../vanilla-module.mk

test::
	        true
