## sbcl 1.0.45.0

=== debian/changelog ===
sbcl (1:1.0.45.0-1ubuntu1) natty; urgency=low

  * Add --no-as-needed to LDFLAGS to prevent FTBFS,
    Patch propsed by Christoph Egger, fixes LP: #715498

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 21 Feb 2011 11:48:12 +0100

sbcl (1:1.0.45.0-1) experimental; urgency=low

  * New Upstream Version
  * Rework install target
  * Add kfreebsd support
  * Move to format 3.0 (quilt)
  * Runn the tests

 -- Christoph Egger <christoph@debian.org>  Wed, 29 Dec 2010 15:21:28 +0100

sbcl (1:1.0.43.0-1) experimental; urgency=low

  * New upstream Version
   
 -- Christoph Egger <christoph@debian.org>  Fri, 01 Oct 2010 18:05:45 +0200

sbcl (1:1.0.42.0-1) experimental; urgency=low

  * Import new upstream. Major changes:
    * build changes 
       * Cross-compilation host is now specified to make.sh using
         command-line argument --xc-host=<command> instead of a
         positional argument. (thanks to Daniel Herring)
       * Install location can be specified to make.sh using
         command-line argument --prefix=<path>. (thanks to Daniel
         Herring)
      * optimization: The default implementation of
        COMPUTE-DISCRIMINATING-FUNCTION does much less wasted work.
      * enhancement: Explicit memory barrier operations are now
        available for use by multithreaded code.  See documentation
        for details.
      * enhancement: Experimental support for threading on Linux/PPC.
      * bug fix: RENAME-PACKAGE returns the package.  (Thanks to Eric
        Marsden)
      * bug fix: EXPT signals an error if first argument is a zero and
        second argument is a floating point zero. (thanks to Roman
        Marynchak)
      * bug fix: DEFTYPE signals an error for non-list lambda-lists.
        (thanks to Roman Marynchak)
      * bug fix: make ASDF-INSTALL compatible with the now-included
        ASDF2.  (reported by Phil Hargett; patch from Jim Wise)
      * optimization: validity of observed keyword initargs to
        MAKE-INSTANCE is cached, leading to many fewer expensive calls
        to COMPUTE-APPLICABLE-METHODS.
      * optimization: in the (unoptimized) general method for
        MAKE-INSTANCE on a CLASS argument, search for and call an
        appropriate optimized ctor function if it exists.
      * bug fix: WRITE always returns the correct value.
  * Bump standards version 3.9.0 → 3.9.1, no changes

 -- Christoph Egger <christoph@debian.org>  Wed, 15 Sep 2010 11:59:35 +0200

sbcl (1:1.0.40.0-2) unstable; urgency=low

  * Breaking too old cl-asdf (Closes: #573408)
  * Line-Break longer relationship lines

 -- Christoph Egger <christoph@debian.org>  Sat, 17 Jul 2010 11:22:25 +0200

sbcl (1:1.0.40.0-1) unstable; urgency=low

  * Import new upstream. Major changes:
    * bug fix: readdir now works on :inode64 darwin builds
    * bug fix: Name conflicts between symbols passed as arguments to a single
      call to IMPORT no longer add multiple symbols with the same name to the
      package (detectable via DO-SYMBOLS).
    * bug fix: support building without the dlshim on darwin x86 and x86-64.
    * bug fix: TRACE :ENCAPSULATE NIL now works on ppc/linux.
  * target experimental for now

 -- Christoph Egger <christoph@debian.org>  Sun, 04 Jul 2010 00:13:31 +0200

sbcl (1:1.0.39.0-2) unstable; urgency=medium

  * Build one monolitic html file -- avoiding too long file names
    (Closes: #587440)
  * Upgrade to standards version 3.9.0
    * Replace Confilcts: with Breaks where appropriate
  * urgency=medium due to rc bug fix

 -- Christoph Egger <christoph@debian.org>  Thu, 01 Jul 2010 19:12:33 +0200

sbcl (1:1.0.39.0-1) unstable; urgency=low

  * Import new upstream. Major changes:
    + bug fix: Backtrace from undefined function on x86 and x86-64 now show
      the calling frame.
    + bug fix: linkage-table entries on PPC now no longer overflow their
      space allocation (potentially causing crashes if they are written out
      of order).
    + bug fix: Scrub control stack after scavenging in gencgc on non-x86oid
      platforms, preventing the GC from seeing stale pointers on the control
      stack in subsequent GCs (which would, and does, break invariants).
    + bug fix: 32-bit unicode external formats now work on big-endian systems.
    + bug fix: Literal characters with code points greater than about 32767
      now work on PPC UNICODE builds.
    + bug fix: Any noise left by SSE operations (sqrt and conversions) in the
      high order bits are explicitly cleared out. In some contrived situations,
      this could lead to wrong results in mixed real/complex float arithmetic.
    + bug fix: Fix function/macro redefinition warnings when building with
      clisp.  (lp#576787, thanks to Josh Elsasser)
    + new platform: experimental support for ppc/openbsd (thanks to Josh
      Elsasser).
    + bug fix: Floating-point traps now work on ppc/linux.
    + incompatible change: Thread names are now restricted to SIMPLE-STRINGs
      like for any other thread-related datastructure, MUTEX, etc. (lp#547095)
    + deprecation: the SB-QUEUE contrib was merged into the SB-CONCURRENCY
      contrib module. New code should depend on SB-CONCURRENCY, not SB-QUEUE.
    + deprecation: SB-THEAD:GET-MUTEX was deprecated in favor of
      SB-THREAD:GRAB-MUTEX.
    + new contributed module: SB-CONCURRENCY is a new contrib; it's supposed to
      contain additional data structures and tools for concurrent programming;
      at the moment it contains a lock-free queue, and a lock-free mailbox
      implementation.
    + new feature: added SB-THREAD:GRAB-MUTEX; it's like the now deprecated
      GET-MUTEX but takes &key rather than &optional parameters.  Also added
      :TIMEOUT argument to GRAB-MUTEX on non-sb-lutex platforms like Linux and
      BSD.
    + new feature: added SB-THREAD:TRY-SEMAPHORE, a non-blocking variant of
      SB-THREAD:WAIT-ON-SEMAPHORE.
    + new feature: SB-EXT:ATOMIC-DECF has been added as a companion to
      SB-EXT:ATOMIC-INCF.

