## sbcl 1.0.48.0

=== debian/changelog ===
sbcl (1:1.0.48.0-2) unstable; urgency=low

  * Fix build error on kfreebsd-amd64 due to changed signal handling in
    glibc -- previously we got a SIGBUS now we get a SIGSEGV

 -- Christoph Egger <christoph@debian.org>  Mon, 16 May 2011 00:33:29 +0200

sbcl (1:1.0.48.0-1) unstable; urgency=low

  * New upstream release
  * Explain missing asdf (Closes: ##623633)
  * Fix missing '/' in doc-base registration

 -- Christoph Egger <christoph@debian.org>  Wed, 11 May 2011 00:05:37 +0200

sbcl (1:1.0.47.0-2) unstable; urgency=low

  * Fix core file location, dh-lisp update (Closes: #620011)

 -- Christoph Egger <christoph@debian.org>  Tue, 29 Mar 2011 20:18:38 +0200

sbcl (1:1.0.47.0-1) unstable; urgency=low

  * New upstream Version

 -- Christoph Egger <christoph@debian.org>  Mon, 28 Mar 2011 19:13:40 +0200

sbcl (1:1.0.46.0-2) unstable; urgency=low

  * Fix sbcl-doc
    * Install sbcl.html into html subdirectory
    * Change link in html/index.html to point to the new file, not to the
      directory removed in 1.0.39-2 (Closes: #589022)
  * add vcs browser field

 -- Christoph Egger <christoph@debian.org>  Wed, 23 Feb 2011 19:40:45 +0100

sbcl (1:1.0.46.0-1) unstable; urgency=low

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Mon, 21 Feb 2011 16:36:44 +0100
