=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  texlive-font-utils
 Standards-Version: 3.9.1
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
+Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
 
 Package: sbcl
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
