## sbcl 1.0.49.0

=== debian/changelog ===
sbcl (1:1.0.49.0-1) unstable; urgency=low

  * New upstream release
  * Update Policy version from .1 to .2 -- no changes

 -- Christoph Egger <christoph@debian.org>  Mon, 06 Jun 2011 12:13:37 +0200
