=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  ghostscript,
  texlive-generic-recommended,
  texlive-font-utils
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
