## sbcl 1.0.50.0

=== debian/changelog ===
sbcl (1:1.0.50.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Tue, 12 Jul 2011 22:47:18 +0200
