## sbcl 1.0.52.0

=== debian/changelog ===
sbcl (2:1.0.52.0-1) unstable; urgency=low

  * New upstream release
  * No longer exibits problems with dpkg-source (Closes: #643273)

 -- Christoph Egger <christoph@debian.org>  Mon, 10 Oct 2011 22:05:41 +0200

sbcl (2:1.0.51.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Mon, 22 Aug 2011 16:02:00 +0200
