=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  graphviz,
  ghostscript,
  texlive-generic-recommended,
- texlive-font-utils
+ texlive-font-utils,
+ time
 Standards-Version: 3.9.2
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
@@ -30,7 +31,7 @@
  slime
 Provides: lisp-compiler, ${sbcl:fasl-version}
 Recommends: binfmt-support (>= 1.1.2)
-Description: A Common Lisp compiler and development system
+Description: Common Lisp compiler and development system
  SBCL is a development environment for the ANSI Common Lisp language.
  It provides a native-code compiler and an integrated debugger, as well
  as all the features in the ANSI specification.
