=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-LDFLAGS += -Wl,--no-as-needed
+
 LOCALE_PATH=debian/tmpdir/usr/lib/locale
 LOCALE_NAME=en_US
 LOCALE_CHARSET=UTF-8
@@ -66,8 +66,8 @@
 	chmod a+x ./tools-for-build/whitespacely-canonical-filenames ./tools-for-build/grep-noncanonical-whitespace  
 	chmod a+x ./tools-for-build/check-canonical-whitespace ./tools-for-build/canonicalize-whitespace-1
 	echo "using sbcl to rebuild with core /usr/lib/sbcl/sbcl-dist.core, checking"
-	ls -l /usr/bin/sbcl /usr/lib/sbcl/sbcl-dist.core
-	CFLAGS="-DSBCL_HOME=`pwd`/stage1/ -O2" GNUMAKE=make ./make.sh '/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core  --sysinit /dev/null --userinit /dev/null --disable-debugger'
+	ls -l /usr/bin/sbcl /usr/lib/sbcl/sbcl.core
+	CFLAGS="-DSBCL_HOME=`pwd`/stage1/ -O2" GNUMAKE=make ./make.sh '/usr/bin/sbcl --core /usr/lib/sbcl/sbcl.core  --sysinit /dev/null --userinit /dev/null --disable-debugger'
 	mkdir stage1
 	mv output/sbcl.core src/runtime/sbcl stage1/
 #   save stage1
@@ -118,7 +118,6 @@
 	dh_installdirs
 
 	INSTALL_ROOT="$(DESTDIR)" sh install.sh
-	mv $(DESTDIR)/lib/sbcl/sbcl.core $(DESTDIR)/lib/sbcl/sbcl-dist.core
 
 	dh_install
