## sbcl 1.0.53.0

=== debian/changelog ===
sbcl (2:1.0.53.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Mon, 07 Nov 2011 01:34:47 +0100

sbcl (2:1.0.52.0-2) unstable; urgency=low

  * Enable gzip compression
  * Do not recreate version file

 -- Christoph Egger <christoph@debian.org>  Sun, 30 Oct 2011 14:06:44 +0100
