=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper (>> 7.0.0),
  sbcl (>> 1:0.9.5.50-9),
  texinfo,
+ zlib1g-dev,
  texlive-extra-utils,
  texlive,
  locales,
@@ -44,7 +45,6 @@
  To browse SBCL source definitions with development environments,
  install the sbcl-source package. For documentation on SBCL's usage
  and internals, the package sbcl-doc is provided.
- .
 
 Package: sbcl-doc
 Replaces: sbcl (<< 1:0.8.20.5-3), sbcl-common (<= 1:0.9.13.0-2)
@@ -63,7 +63,6 @@
  The manual about SBCL's internals is also included in this package
  and may be of interest for people who intent to work with SBCL's
  source code.
- .
 
 Package: sbcl-source
 Replaces: sbcl (<< 1:0.8.20.5-3), sbcl-common (<= 1:0.9.13.0-2)
@@ -80,4 +79,3 @@
  .
  Installing this package enables your source browser to dig deeply
  into the core of Steel Bank Common Lisp.
- .
