## sbcl 1.0.54.0

=== debian/changelog ===
sbcl (2:1.0.54.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Tue, 06 Dec 2011 21:50:24 +0100
