=== debian/rules ===
--- 
+++ 
@@ -27,18 +27,21 @@
 
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
+FEATURES=":sb-core-compression"
+
+ifneq (,$(filter x86 amd64,$(sbcl_arch)))
+	FEATURES += " :sb-thread :sb-futex"
+endif
+
+ifneq (,$(filter kfreebsd-%,$(sbcl_arch)))
+	FEATURES += " :os-provides-dlopen"
+endif
+
 configure: configure-stamp
 configure-stamp:
-ifneq (,$(filter x86 amd64,$(sbcl_arch)))
-	echo "(lambda (list) (pushnew :sb-thread list) (pushnew :sb-futex list) list)" > customize-target-features.lisp 
-else
-  ifeq (${sbcl_arch},alpha)
-	cp debian/ld-script.alpha-linux src/runtime
-  endif
-endif
-ifneq (,$(filter kfreebsd-%,$(sbcl_arch)))
-       echo "(lambda (list) (pushnew  :os-provides-dlopen list) list)" > customize-target-features.lisp
-endif
+	echo "(lambda (features) (setf features (union features (list $(FEATURES)))))" > customize-target-features.lisp
+
+	cat customize-target-features.lisp
 
 	dh_testdir
