## sbcl 1.0.55.0

=== debian/changelog ===
sbcl (2:1.0.55.0-1) unstable; urgency=low

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Mon, 09 Jan 2012 21:50:33 +0100
