=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,8 @@
 	ls -l /usr/bin/sbcl /usr/lib/sbcl/sbcl.core
 	CFLAGS="-DSBCL_HOME=`pwd`/stage1/ -O2" GNUMAKE=make ./make.sh '/usr/bin/sbcl --core /usr/lib/sbcl/sbcl.core  --sysinit /dev/null --userinit /dev/null --disable-debugger'
 	mkdir stage1
-	mv output/sbcl.core src/runtime/sbcl stage1/
+	mv output/sbcl.core stage1/stage1.cor_
+	mv src/runtime/sbcl stage1/stage1
 #   save stage1
 	tar cvf stage1.tar stage1/
 	rm -rf stage1 || true
@@ -81,7 +82,7 @@
 	tar xvf stage1.tar
 	rm stage1.tar
 	echo "rebuild again with new version"
-	CFLAGS="-DSBCL_HOME=/usr/lib/sbcl/ -O2" GNUMAKE=make ./make.sh "`pwd`/stage1/sbcl --core `pwd`/stage1/sbcl.core --sysinit /dev/null --userinit /dev/null --disable-debugger"
+	CFLAGS="-DSBCL_HOME=/usr/lib/sbcl/ -O2" GNUMAKE=make ./make.sh --prefix="/usr/" --xc-host="`pwd`/stage1/stage1 --core `pwd`/stage1/stage1.cor_ --sysinit /dev/null --userinit /dev/null --disable-debugger"
 
 	make -C doc/internals all html
 
@@ -189,7 +190,7 @@
 	dh_shlibdeps -a
 
 #   add the FASL version of this release to substvars
-	stage1/sbcl --core stage1/sbcl.core --load "debian/fasl-version.lisp"
+	stage1/stage1 --core stage1/stage1.cor_ --load "debian/fasl-version.lisp"
 
 	dh_gencontrol -a
 	dh_md5sums -a
