## sbcl 1.0.57.0

=== debian/changelog ===
sbcl (2:1.0.57.0-2ubuntu1) quantal; urgency=low

  * Re-enable and re-bootstrap sbcl on powerpc (closes: #681808)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Jul 2012 13:18:45 -0600

sbcl (2:1.0.57.0-2) unstable; urgency=low

  * Depend on netbase as it provides /etc/protocols

 -- Christoph Egger <christoph@debian.org>  Sat, 16 Jun 2012 00:00:53 +0200

sbcl (2:1.0.57.0-1) unstable; urgency=low

  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Tue, 22 May 2012 19:26:00 +0200

sbcl (2:1.0.56.0-1) unstable; urgency=low

  * New upstream release
    * bug fix: fix copy-structure.  When copying from stack to heap, garbage
      could end up in the heap making GC unhappy.
      (Thanks to James Knight, lp#911027)
    * enhancements
      * SBCL can now be built using Clang.
      * ASDF has been updated 2.20.
    * bug fix: compiler errors when weakening hairy integer types. (lp#913232)
    * bug fix: don't complain about a too-hairy lexical environment for inlining
      when the function has never been requested for inlining.  (lp#963530)
  
 -- Christoph Egger <christoph@debian.org>  Sat, 14 Apr 2012 13:58:18 +0200
